# class Shell::AppendFile

### Public Class Methods

new(sh, to_filename, filter) click to toggle source
Calls superclass method `Shell::AppendIO::new`

    # File lib/shell/builtin-command.rb, line 104
    def initialize(sh, to_filename, filter)
      @file_name = to_filename
      io = sh.open(to_filename, "a")
      super(sh, io, filter)
    end

### Public Instance Methods

input=(filter) click to toggle source
Calls superclass method `Shell::AppendIO#input=`

    # File lib/shell/builtin-command.rb, line 110
    def input=(filter)
      begin
        super
      ensure
        @io.close
      end
    end